XQueryPointer(3X11)

NAME
XQueryPointer - get pointer coordinates

SYNTAX

Bool XQueryPointer(Display *display, Window w, Window *root_return, Window *child_return, int *root_x_return, int *root_y_return, int *win_x_return, int *win_y_return, unsigned int *mask_return);

ARGUMENTS

child_return
    Returns the child window that the pointer is located in, if any.

display
    Specifies the connection to the X server.

mask_return
    Returns the current state of the modifier keys and pointer buttons.

root_return
    Returns the root window that the pointer is in.

root_x_return

root_y_return
    Return the pointer coordinates relative to the root window's origin.

w   Specifies the window.

win_x_return

win_y_return
    Return the pointer coordinates relative to the specified window.

DESCRIPTION
The function returns the root window the pointer is logically on and the pointer coordinates relative to the root window's origin. If returns the pointer is not on the same screen as the specified window, and returns to child_return and zero to win_x_return and win_y_return. If returns the pointer coordinates returned to win_x_return and win_y_return are relative to the origin of the specified window. In this case, returns the child that contains the pointer, if any, or else to child_return.

returns the current logical state of the keyboard buttons and the modifier keys in mask_return. It sets mask_return to the bitwise inclusive OR of one or more of the button or modifier key bitmasks to match the current state of the mouse buttons and the modifier keys.

can generate a error.

DIAGNOSTICS

A value for a Window argument does not name a defined Window.

SEE ALSO
XGetWindowAttributes(3X11), XQueryTree(3X11)
Xlib - C Language X Interface